Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2904 - Missing include files from inn-devel.
Summary: Missing include files from inn-devel.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: inn
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-18 07:12 UTC by Sam Varshavchik
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-02 16:27:13 UTC


Attachments (Terms of Use)

Description Sam Varshavchik 1999-05-18 07:12:32 UTC
inn-devel-2.2-8 does not install INN's include files.

inn-devel-1.7 in RH 5.2 installed dbz.h, inndcomm.h, and
libinn.h.  No .h files are installed by 2.2 RPM.  Include
files are required for INN-related software to compile.

For INN 2.2, the "suck" client requires the following files
to be installed from inn-2.2/include:

#include <configdata.h>
#include <clibrary.h>
#include <libinn.h>
#include <dbz.h>

At least these four files are required.  Other clients may
require additional files.

Comment 1 Derek Tattersall 1999-05-18 18:43:59 UTC
The subject .h files are not in either the inn or inn-devel packages.

Comment 2 Jeff Johnson 1999-06-02 16:27:59 UTC
Fixed (by adding these files to /usr/include/inn) in inn-2.2-12.
Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.